require "kemal"

strategies_dir = ENV.fetch("STRATEGIES_DIR")

post "/:strategy" do |env|
  output = IO::Memory.new
  params = env.params.query.to_h.to_json
  puts params
  hook = env.params.json.to_json
  puts hook
  Process.run(
    "#{strategies_dir}/#{env.params.url["strategy"]}",
    [
      params,
      hook,
    ],
    output: output,
    error: output,
  )
  puts output.to_s
  output.to_s
end

Kemal.run
